Name:           cura-providers
Version:        0.0.4
Release:        1%{?dist}
Summary:        Set of basic CIM providers

License:        GPLv2+
URL:            http://fedorahosted.org/cura/
Source0:        http://fedorahosted.org/released/cura-providers/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  konkretcmpi-devel
BuildRequires:  sblim-cmpi-devel
BuildRequires:  cim-schema
# For cura-power
BuildRequires:  upower-devel
# For cura-fan
BuildRequires:  lm_sensors-devel
# For cura-account
BuildRequires:  libuser-devel

# For reg2pegasus.py script
Requires:       python2
# sblim-sfcb or tog-pegasus
Requires:       cim-server

# XXX
# Just because we have wired python's scripts
# Remove in future
BuildRequires: python-setuptools

%description
%{name} is set of (usually) small CMPI providers (agents) for basic
monitoring and management of host system using Common Information
Model (CIM).

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%package -n cura-fan
Summary:        CIM provider for controlling fans
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n cura-fan
%{summary}.


%package -n cura-powermanagement
Summary:        Power management CIM provider
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       upower

%description -n cura-powermanagement
%{summary}.


%package -n cura-service
Summary:        CIM provider for controlling system services
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n cura-service
%{summary}.

%package -n cura-account
Summary:        CIM provider for managing accounts on system
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n cura-account
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
# XXX
# Remove pythonies
# Don't forget to remove this dirty hack in the future
rm -rf "$RPM_BUILD_ROOT"/usr/bin/*.py
rm -rf "$RPM_BUILD_ROOT"/usr/lib/python*

%files
%doc README COPYING
%dir %{_datadir}/%{name}
%{_libdir}/libcuracommon.so.*
%attr(755, root, root) %{_datadir}/%{name}/register.sh
%attr(755, root, root) %{_datadir}/%{name}/reg2pegasus.py*

%files devel
%{_libdir}/libcuracommon.so
%{_includedir}/cura/globals.h
%{_datadir}/cmake/Modules/CuraMacros.cmake
%{_datadir}/cmake/Modules/FindCMPI.cmake
%{_datadir}/cmake/Modules/FindKonkretCMPI.cmake

%files -n cura-fan
%doc README COPYING
%{_libdir}/cmpi/libcmpiCura_Fan.so
%{_datadir}/%{name}/LMI_Fan.mof
%{_datadir}/%{name}/LMI_Fan.reg

%files -n cura-powermanagement
%doc README COPYING
%{_libdir}/cmpi/libcmpiCura_PowerManagement.so
%{_datadir}/%{name}/LMI_PowerManagement.mof
%{_datadir}/%{name}/LMI_PowerManagement.reg

%files -n cura-service
%doc README COPYING
%attr(755, root, root) %{_libexecdir}/servicedisc.sh
%attr(755, root, root) %{_libexecdir}/serviceutil.sh
%{_libdir}/cmpi/libcmpiCura_Service.so
%{_datadir}/%{name}/LMI_Service.mof
%{_datadir}/%{name}/LMI_Service.reg

%files -n cura-account
%doc README COPYING
%{_libdir}/cmpi/libcmpiCura_Account.so
%{_datadir}/%{name}/LMI_Account.mof
%{_datadir}/%{name}/LMI_Account.reg


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -n cura-fan
# If upgrading, deregister old version
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_Fan.mof \
        %{_datadir}/%{name}/LMI_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n cura-powermanagement
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_PowerManagement.mof \
        %{_datadir}/%{name}/LMI_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n cura-service
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_Service.mof \
        %{_datadir}/%{name}/LMI_Service.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n cura-account
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_Account.mof \
        %{_datadir}/%{name}/LMI_Account.reg \
        > /dev/null 2>&1 || :;
fi


%post -n cura-fan
# Register Schema and Provider
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/LMI_Fan.mof \
        %{_datadir}/%{name}/LMI_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%post -n cura-powermanagement
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/LMI_PowerManagement.mof \
        %{_datadir}/%{name}/LMI_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%post -n cura-service
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/LMI_Service.mof \
        %{_datadir}/%{name}/LMI_Service.reg \
        > /dev/null 2>&1 || :;
fi

%post -n cura-account
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/LMI_Account.mof \
        %{_datadir}/%{name}/LMI_Account.reg \
        > /dev/null 2>&1 || :;
fi


%preun -n cura-fan
# Deregister only if not upgrading
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_Fan.mof \
        %{_datadir}/%{name}/LMI_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n cura-powermanagement
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_PowerManagement.mof \
        %{_datadir}/%{name}/LMI_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n cura-service
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_Service.mof \
        %{_datadir}/%{name}/LMI_Service.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n cura-account
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/LMI_Account.mof \
        %{_datadir}/%{name}/LMI_Account.reg \
        > /dev/null 2>&1 || :;
fi


%changelog
* Tue Sep 18 2012 Roman Rakus <rrakus@redhat.com> - 0.0.4-1
- Version 0.0.4
- Remove python parts. There are not intended to be present here.

* Mon Aug 27 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-1
- Version 0.0.3
- Rename prefix from Cura_ to LMI_
- Add more development files

* Tue Aug 14 2012 Roman Rakus <rrakus@redhat.com> - 0.0.2-1
- Version 0.0.2 which includes account manager

* Fri Aug 03 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-2
- BR: cim-schema
- Don't clean buildroot in install
- Fix typo

* Tue Jul 31 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-1
- Initial package

